begin

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$ Id-Vd Simulation
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

convention positive_current_flow=inward

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$ Load structure from CSUPREM and map materials
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

load_mesh mesh_inf=mos.aps  suprem_import=yes
output sol_outf=IdVd.out


$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$   Map Materials and Define Contacts:
$   Gate=2 Source=1 Drain=3
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
include file=contact_2d.sol

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$  Set Carrier Lifetime
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
lifetime_n value=100e-9 mater=1
lifetime_p value=100e-9 mater=1


impact_chynoweth mater=1
impact_chynoweth mater=3
impact_chynoweth mater=4

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$  Scale the Active Areas--Die size =0.1 cm^2
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
3d_solution_method skip_fv_data=yes
z_structure single_plane_zdim=2.92E6


more_output space_charge=yes impact_ionization=yes ac_data=no &&
 elec_mobility=yes hole_mobility=yes


newton_par damping_step=2. var_tol=1.e-1 res_tol=1.e-1 &&
  max_iter=300 opt_iter=15 stop_iter=15

equilibrium

newton_par damping_step=8. var_tol=1.e-2 res_tol=1.e-2 &&
  max_iter=50 opt_iter=15 stop_iter=15

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$ First scan gate bias to set value
$ Then scan drain voltage
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

scan var=voltage_2 value_to=10 min_step=1e-9 max_step=0.5 &&
init_step=0.001

scan var=voltage_3 value_to=15.0 min_step=1e-9 max_step=0.5 &&
init_step=0.001

end