begin

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$  Define Temperature
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
temperature temp=300

$  Copy from main_2d.sol  ------------------------------------------------------

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$  Define positive direction for current flow
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
convention positive_current_flow=inward

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$   Load Structure from CSUPREM
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
load_mesh mesh_inf=mos.aps  suprem_import=yes
output sol_outf=cv.out

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$   Map Materials and Define Contacts:
$   Gate=2 Source=1 Drain=3
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
include file=contact_2d.sol

$-------------------------------------------------------------------------------

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$  Define Fixed Oxide Charge
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$interface model=charge within_y=(2.4, 3.4) within_x=(0, 0.92) &&
$ fix_charge=5e14

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$  Set Carrier Lifetime
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
lifetime_n value=100e-9 mater=1
lifetime_p value=100e-9 mater=1


impact_chynoweth mater=1
impact_chynoweth mater=3
impact_chynoweth mater=4

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$  Scale the Active Areas--Die size =0.1 cm^2
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
3d_solution_method skip_fv_data=yes
z_structure single_plane_zdim=2.92E6

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$  Define Output Data
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
more_output space_charge=yes impact_ionization=yes ac_data=yes &&
 elec_mobility=yes hole_mobility=yes

$  Copy from main_2d.sol  ------------------------------------------------------


$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$  Define Numerical Parameters (Solve Equilibrium)
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
newton_par damping_step=2. var_tol=1.e-1 res_tol=1.e-1 &&
  max_iter=300 opt_iter=15 stop_iter=15

equilibrium



newton_par damping_step=8. var_tol=1.e-2 res_tol=1.e-2 &&
  max_iter=50 opt_iter=15 stop_iter=15

scan var=voltage_3 value_to=300 min_step=1e-6 max_step=0.5 &&
auto_finish=current_3 auto_until=7e-4 auto_condition=above &&
init_step=0.001 print_step=1.0


scan var=current_3 value_to=1  &&
  init_step=1.1e-7 min_step=1.e-8 max_step=0.1

end