begin

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$  Define Temperature
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
temperature temp=300

$  Copy from main_2d.sol  ------------------------------------------------------

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$  Define positive direction for current flow
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
convention positive_current_flow=inward

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$   Load Structure from CSUPREM
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
load_mesh mesh_inf=mos.aps  suprem_import=yes
output sol_outf=dpt.out

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$   Map Materials and Define Contacts:
$   Gate=1 Source=2 Drain=3
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
include file=contact_2d.sol

$-------------------------------------------------------------------------------

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$  Define Fixed Oxide Charge
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$interface model=charge within_y=(2.4, 3.4) within_x=(0, 0.92) &&
$ fix_charge=5e14

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$  Set Carrier Lifetime
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
lifetime_n value=100e-9 mater=1
lifetime_p value=100e-9 mater=1

$ node 3 is gate
minispice circuit_file=dpt.cir  &&
spice_device_to_tcadmesh=Ztmos &&
contact2_to_spice_node=2 &&
contact1_to_spice_node=0 &&
contact3_to_spice_node=3


impact_chynoweth mater=1
impact_chynoweth mater=3
impact_chynoweth mater=4

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$  Scale the Active Areas--Die size =0.1 cm^2
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
3d_solution_method skip_fv_data=yes
z_structure single_plane_zdim=2.92E6

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$  Define Output Data
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
more_output space_charge=yes impact_ionization=yes ac_data=no &&
 elec_mobility=yes hole_mobility=yes

$  Copy from main_2d.sol  ------------------------------------------------------


$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$  Define Numerical Parameters (Solve Equilibrium)
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
newton_par damping_step=2. var_tol=1.e-2 res_tol=1.e-2 &&
  max_iter=100 opt_iter=30 stop_iter=70

equilibrium

$newton_par damping_step=5. var_tol=0.01 res_tol=0.01 &&
$  max_iter=30 opt_iter=15 stop_iter=8
$scan var=spice_dc_factor1_Vdd value_to=1 init_step=0.01 min_step=1e-9 &&
$max_step=0.1



newton_par damping_step=5 var_tol=1e-2 res_tol=1e-2 max_iter=30  &&
    opt_iter=15 stop_iter=8

$VG 1  0  pwl(0 0 1u 0 1.02u 10 2u 10.  2.02u 0 2.5u 0  2.52u 10.  3u 10.)
$VDD 5  0  pwl(0. 0. 0.5u 15 3u 15)

scan var=time value_to=1.e-6 init_step=1e-9 min_step=1e-14 &&
max_step=0.1e-6

scan var=time value_to=1.1e-6 init_step=1e-9 min_step=1e-14 &&
max_step=0.001e-6
scan var=time value_to=2.e-6 init_step=1e-9 min_step=1e-14 &&
max_step=0.1e-6
$ let us scan in fine steps for 50n
scan var=time value_to=2.05e-6 init_step=1e-9 min_step=1e-14 &&
max_step=0.001e-6
scan var=time value_to=2.5e-6 init_step=1e-9 min_step=1e-14 &&
max_step=0.1e-6
$ let us scan in fine steps for 50n
scan var=time value_to=2.55e-6 init_step=1e-9 min_step=1e-14 &&
max_step=0.001e-6
scan var=time value_to=3.0e-6 init_step=1e-9 min_step=1e-14 &&
max_step=0.1e-6
end

